unit frm_Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TFormMain = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    procedure WMActivate(var Msg: TWMActivate); message WM_ACTIVATE;
  public
    { Public declarations }
  protected
    procedure CreateParams(var Params: TCreateParams); override;
  end;

var
  FormMain: TFormMain;

implementation

{$R *.dfm}

procedure TFormMain.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  Params.ExStyle := Params.ExStyle or WS_EX_APPWINDOW;
end;

procedure TFormMain.WMActivate(var Msg: TWMActivate);
begin
  inherited;
  Self.Caption := IntToStr(Msg.Active);
  if (Msg.Active = WA_ACTIVE) or (Msg.Active = WA_CLICKACTIVE) then Button2.OnClick(Self);
end;

procedure TFormMain.Button1Click(Sender: TObject);
var
  fl: FLASHWINFO;
begin
  //  
  fl.cbSize := SizeOf(fl); //   FLASHWINFO (  )
  fl.hwnd := Self.Handle; //  
  fl.dwFlags := FLASHW_TRAY; //  ,     FlashWindowEx
  fl.uCount := 100; //     /    
  fl.dwTimeout := 600; //       /    .    ,     
  FlashWindowEx(fl);
end;

procedure TFormMain.Button2Click(Sender: TObject);
var
  fl: FLASHWINFO;
begin
  //   
  fl.cbSize := SizeOf(fl); //   FLASHWINFO (  )
  fl.hwnd := Self.Handle; //  
  fl.dwFlags := FLASHW_STOP; //  ,     FlashWindowEx
  FlashWindowEx(fl);
end;

end.
 